%define upstream_name    KiokuDB
%define upstream_version 0.52

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Common functionality for JSPON
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cache::Ref) >= 0.20.0
BuildRequires: perl(Class::MOP) >= 0.940.0
BuildRequires: perl(Data::Stream::Bulk) >= 0.80.0
BuildRequires: perl(Data::UUID::LibUUID) >= 0.50.0
BuildRequires: perl(Data::Visitor) >= 0.240.0
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Hash::Util::FieldHash::Compat)
BuildRequires: perl(IO) >= 1.230.0
BuildRequires: perl(JSON) >= 2.120.0
BuildRequires: perl(JSON::XS) >= 2.231.0
BuildRequires: perl(Module::Pluggable::Object)
BuildRequires: perl(Moose) >= 1.170.0
BuildRequires: perl(MooseX::Clone) >= 0.40.0
BuildRequires: perl(MooseX::Role::Parameterized) >= 0.100.0
BuildRequires: perl(MooseX::YAML) >= 0.40.0
BuildRequires: perl(PadWalker) >= 1.900.0
BuildRequires: perl(Path::Class)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Scope::Guard)
BuildRequires: perl(Search::GIN) >= 0.30.0
BuildRequires: perl(Set::Object) >= 1.260.0
BuildRequires: perl(Storable)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::use::ok)
BuildRequires: perl(Throwable)
BuildRequires: perl(Tie::ToObject)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(YAML::XS) >= 0.300.0
BuildRequires: perl(namespace::clean) >= 0.80.0
BuildArch:  noarch

%description
the KiokuDB manpage is a Moose based frontend to various data stores,
somewhere in between the Tangram manpage and the Pixie manpage.

Its purpose is to provide persistence for "regular" objects with as little
effort as possible, without sacrificing control over how persistence is
actually done, especially for harder to serialize objects.

the KiokuDB manpage is also non-invasive: it does not use ties, 'AUTOLOAD',
proxy objects, 'sv_magic' or any other type of trickery.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes META.yml TODO
%{_bindir}/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.520.0-2.mga3
+ Revision: 368832
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 30 2011 jquelin <jquelin> 0.520.0-1.mga2
+ Revision: 116449
- update to 0.52

* Thu Apr 07 2011 jquelin <jquelin> 0.510.0-1.mga1
+ Revision: 81789
- update to 0.51

* Wed Jan 26 2011 jquelin <jquelin> 0.500.0-1.mga1
+ Revision: 41108
- mageia rebuild
- imported package perl-KiokuDB

